# Uses of Interface
org.eclipse.birt.chart.factory.IResourceFinder

Packages that use IResourceFinder
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of IResourceFinder in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type IResourceFinder
Modifier and Type
Method
Description
`void`
DisplayAdapter.`setResourceFinder(IResourceFinder resourceFinder)`
`void`
IDisplayServer.`setResourceFinder(IResourceFinder resourceFinder)`
Set the resource finder, which will be used by loading image.

## Uses of IResourceFinder in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return IResourceFinder
Modifier and Type
Method
Description
`IResourceFinder`
RunTimeContext.`getResourceFinder()`
Methods in org.eclipse.birt.chart.factory with parameters of type IResourceFinder
Modifier and Type
Method
Description
`void`
RunTimeContext.`setResourceFinder(IResourceFinder resourceFinder)`